---VARIABLES
amg.perspective(37.0)
local TIME = 0;

local ScaleX = 1;
local ScaleZ = 1;

local PosY = 36;
local PosY2 = 65;
local AMGPos = -7;
local TextureX = 0;
local Move = 1;

local RotX = 197.222;
local RotY = 197.222;
local RotZ = 197.222;


--LOAD OBJ
local LogoM = model3d.load("INTRO/matrix.obj")
local BKG = model3d.load("INTRO/bkg.obj")
local LCircle = model3d.load("INTRO/circle.obj")
local Board = model3d.load("INTRO/board.obj")
texture3d.filter(Board,1,1,__NEAR)
local Chip = model3d.load("INTRO/chip.obj")
texture3d.filter(Chip,1,1,__NEAR)
local Shine = texture3d.load("INTRO/Shine.png",__VRAM)
texture3d.mapping(Shine,__ENV,2,3)
texture3d.setmulti(Chip,1,1,Shine)

local LogoPlus = model3d.load("INTRO/plus.obj")
local AMG = model3d.load("INTRO/amg.obj")

model3d.lighting(LogoM,1,0)
model3d.lighting(BKG,1,0)
model3d.lighting(Board,1,0)
model3d.lighting(LCircle,1,0)
model3d.lighting(AMG,1,0)


local Cam = cam3d.new()
local CamPos = {4,8,9}
cam3d.position(Cam,CamPos)
cam3d.eye(Cam,{0,0,0})

local DIF = color.new(250,250,250)
local AMB = color.new(60,60,60)
local SPEC = color.new(250,250,250)

amg.typelight(1,__DIRECTIONAL)
amg.colorlight(1,DIF,AMB,SPEC)
amg.poslight(1,{1,1,1}) 

local SND = sound.load("Music/Intro.s3m")
sound.play(SND)

while true do
    
	amg.begin()
	
	--Set camara normal
    cam3d.set(Cam)
    
	amg.light(1,1);--activar luz 1
    model3d.render(BKG);
    model3d.render(LCircle);
	model3d.render(Board);
	amg.fog(20,28,DIF)
    model3d.render(Chip);
	amg.fog()
	model3d.render(LogoM);
	model3d.render(LogoPlus);
	model3d.render(AMG);
	
	amg.light(1,0);--desactivar luz 1
	
	amg.update()	

	---MOTION
	cam3d.eye(Cam,{0,PosY-1,0})
	cam3d.position(Cam,CamPos)
	
	texture3d.trans(Shine,TextureX,0)
	TextureX = TextureX + 0.1;
	model3d.position(Chip,1,{0,PosY,0})
	model3d.rotation(Chip,1,{RotX,RotY,RotZ})--197.22
	model3d.position(LogoPlus,1,{0,PosY2,0})
	model3d.position(AMG,1,{0,AMGPos,0})
	
	if AMGPos < 0 then AMGPos = AMGPos + 0.018 end
	if PosY2 > 0.5 then PosY2 = PosY2 - 0.18 end
	if PosY > 0.5 then
	   PosY = PosY - 0.18
	   RotX = RotX - 1;
	   RotY = RotY - 1;
	   RotZ = RotZ - 1;
	   else
	   model3d.scaling(LCircle,1,{ScaleX,1,ScaleZ})--una "explosion"
	   ScaleX = ScaleX + 0.22;
	   ScaleZ = ScaleZ + 0.22;
	   
	   if Move == 1 then
	   
       if CamPos[1] > 0.3 then 
		  CamPos[1] = CamPos[1] - 0.05 
		  else
	      CamPos[1] = 0.3;
		  if CamPos[2] > 2 then CamPos[2] = CamPos[2] - 0.01 end;
          if CamPos[3] > 2 then CamPos[3] = CamPos[3] - 0.05
		  else 
		  Move = 0;
		  end
       end

       end
	   
	end
	
	screen.flip()
	buttons.read()
	
	if TIME == 560 or buttons.cross then
	    screen.clear(color.new(0,0,0))
		LogoM,BKG,LCircle,Board,Chip,Shine,LogoPlus,AMG,SND = nil,nil,nil,nil,nil,nil,nil,nil,nil
		AMG_Intro_Code = nil
		collectgarbage()
		LPlanet_Code = loadfile("INTRO/intro.lua")
		LPlanet_Code()
	end
	TIME = TIME + 1	
	
end